<?php
/*--------------------------------------------

* Add Icon font to CPT menu U2NyaXB0eWFiLmNvbQ
---------------------------------------------*/

function pm_pos_cptmenuicon() {
	?>
	<style type="text/css">

		#adminmenu #menu-posts-spp_pos_scrollpop div.wp-menu-image:before {

			font-family: pm-poponscroll !important;
			content: '\e800';
		}


.spp-pos-scrollpop_2 {

    bottom: 0 !important;

    left: -350px;

    position: fixed;

    z-index: 10000;

}

	</style>


	<? }


add_action( 'admin_head', 'pm_pos_cptmenuicon' );

add_filter('wp_footer', 'spp_pos_deliver_scrollpop', 100);

function spp_pos_deliver_scrollpop( ){

	global $post;
	global $spp_pos_options;
	$spp_pos_showthis = get_post_meta( $post->ID, 'spp_pos_showthis', true );

	if( is_front_page() && $spp_pos_options['home_scrollpop'] ){

		$spp_pos_ad_post = get_post( $spp_pos_options['home_scrollpop'] );

		$used_id = $spp_pos_options['home_scrollpop'];		

		$to_show = 1;

	}

	if( ( is_archive() || is_category() ) && $spp_pos_options['archive_scrollpop'] ){

		$spp_pos_ad_post = get_post( $spp_pos_options['archive_scrollpop'] );

		$used_id = $spp_pos_options['archive_scrollpop'];

		$to_show = 1;

	}

	if ( is_single() && $spp_pos_options['default_scrollpop'] != '0' ) { // Is global ad on?

		if( get_post_meta( $post->ID, 'spp_pos_single_hide', true ) != '1' ) { // Is enabled

			if( !empty( $spp_pos_showthis ) ) {
		
				$used_id = get_post_meta( $post->ID, 'spp_pos_showthis', true );

				$spp_pos_ad_post = get_post( get_post_meta( $post->ID, 'spp_pos_showthis', true ) );

			} else {				

				$used_id = $spp_pos_options['default_scrollpop'];

				$spp_pos_ad_post = get_post( $spp_pos_options['default_scrollpop'] );
				
			}

			$to_show = 1;

		} 

	}

	if ( is_page() && $spp_pos_options['page_scrollpop'] != '0' ) { // Is global ad on?

		if( get_post_meta( $post->ID, 'spp_pos_single_hide', true ) != '1' ) { // Is enabled

			if( !empty( $spp_pos_showthis ) ) {

				$used_id = get_post_meta( $post->ID, 'spp_pos_showthis', true );

               	$spp_pos_ad_post = get_post( get_post_meta( $post->ID, 'spp_pos_showthis', true ) );

			} else {				

				$used_id = $spp_pos_options['page_scrollpop'];

				$spp_pos_ad_post = get_post( $spp_pos_options['page_scrollpop'] );

			}

			$to_show = 1;

		} 

	}

	if( $to_show == 1   ) {			

		global $spp_pos_options;

		$spp_pos_ind_opts = get_post_meta( $used_id, _spp_pos_post_meta, true );

		$border_top_width = ( $spp_pos_ind_opts['border_top_width'] >= '0' ) ? $spp_pos_ind_opts['border_top_width'] : $spp_pos_options['border_top_width'] ;

		$border_left_width = ( $spp_pos_ind_opts['border_left_width'] >= '0' ) ? $spp_pos_ind_opts['border_left_width'] : $spp_pos_options['border_left_width'] ;

		$border_right_width = ( $spp_pos_ind_opts['border_right_width'] >= '0' ) ? $spp_pos_ind_opts['border_right_width'] : $spp_pos_options['border_right_width'] ;

		$border_bottom_width = ( $spp_pos_ind_opts['border_bottom_width'] >= '0' ) ? $spp_pos_ind_opts['border_bottom_width'] : $spp_pos_options['border_bottom_width'] ;

		$background_color = ( empty($spp_pos_ind_opts['background_color']) ) ? $spp_pos_options['background_color'] : $spp_pos_ind_opts['background_color'] ;
		
		$background_images = ( empty($spp_pos_ind_opts['background_images']) ) ? $spp_pos_options['background_images'] : $spp_pos_ind_opts['background_images'] ;
        
		$background_repeat = ( empty($spp_pos_ind_opts['background_repeat']) ) ? $spp_pos_options['background_repeat'] : $spp_pos_ind_opts['background_repeat'] ;
		
		$background_size = ( empty($spp_pos_ind_opts['background_size']) ) ? $spp_pos_options['background_size'] : $spp_pos_ind_opts['background_size'] ;
		
		$style = ( empty( $spp_pos_ind_opts['border_style'] ) ) ? $spp_pos_options['border_style'] : $spp_pos_ind_opts['border_style'] ;

		$color = ( empty( $spp_pos_ind_opts['border_color'] ) ) ? $spp_pos_options['border_color'] : $spp_pos_ind_opts['border_color'] ;

		$nextpost = ( empty( $spp_pos_ind_opts['nextpost'] ) ) ? '' : $spp_pos_ind_opts['nextpost'] ;

		$popup_position = ( empty($spp_pos_ind_opts['popup_position']) ) ? $spp_pos_options['popup_position'] : $spp_pos_ind_opts['popup_position'] ;

		$popup_slide = ( empty($spp_pos_ind_opts['popup_slide']) ) ? $spp_pos_options['popup_slide'] : $spp_pos_ind_opts['popup_slide'] ;

		$cookie = ( empty($spp_pos_ind_opts['cookie']) ) ? $spp_pos_options['cookie'] : $spp_pos_ind_opts['cookie'] ;

		$cookie_duration = ( empty($spp_pos_ind_opts['cookie_duration']) ) ? $spp_pos_options['cookie_duration'] : $spp_pos_ind_opts['cookie_duration'] ;

		$spp_pos_category = get_the_category($post->ID);

		if( get_post_type( $post->ID ) == 'spp_pos_scrollpop' ) {

			$current_ad = get_post_meta( $post->ID, _spp_pos_post_meta, true );
			
			$post_content = $post->post_content;

			$border_top_width = $current_ad['border_top_width'];

			$border_left_width = $current_ad['border_left_width'];

			$border_right_width = $current_ad['border_right_width'];

			$border_bottom_width = $current_ad['border_bottom_width'];

			$background_color = $current_ad['background_color'];

			$style = ($current_ad['border_style'] == '0') ? $style : $current_ad['border_style'];

			$color = $current_ad['border_color'];

			$nextpost = $current_ad['nextpost'];

		} else {

			$post_content = $spp_pos_ad_post->post_content;

		}

		$top = ( empty($border_top_width) ) ? '' : 'border-top:'.$border_top_width.'px '.$style.' '.$color.';';

		$left = ( empty($border_left_width) ) ? '' : 'border-left:'.$border_left_width.'px '.$style.' '.$color.';';

		$right = ( empty($border_right_width) ) ? '' : 'border-right:'.$border_right_width.'px '.$style.' '.$color.';';

		$bottom = ( empty($border_bottom_width) ) ? '' : 'border-bottom:'.$border_bottom_width.'px '.$style.' '.$color.';';
		
		$background_img = ( empty($background_images) ) ? '' : 'background-image:'.$background_images.'px '.$style.' '.$background_images.';';

		$background = ( empty($background_color) ) ? '' : 'background-color:'.$background_color.';';
		
		//$background_img = ( empty($background_images) ) ? '' : 'background-image:'.$background_images.';';

        $popup_position = ( empty($popup_position) ) ? '' : ''.$popup_position.'';

	    $popup_slide = ( empty($popup_slide) ) ? '' : ''.$popup_slide.'';		

		$cookie = ( empty($cookie) ) ? '' : ''.$cookie.'';

		$cookie_duration = ( empty($cookie_duration) ) ? '' : ''.$cookie_duration.'';		
		
		//print_r($background_images);
		
		
		
		
		//echo $background_size;
		
		//$dhnd_image_dir ='../wp-content/plugins/scrollpopup/modules/images/';

		//$background_images=$background_images;

		if( !isset($_COOKIE['spp_pos_scrollpop_hide']) || $cookie  == 1 ) {

?><script type="text/javascript">jQuery(document).ready(function(){jQuery('.spp-pos-scrollpop-close').click(function(){ 	  jQuery(this).parent().css('display','none');	  	});});</script><?


if(($popup_position=='top-right') && ($popup_slide=='right'))

{ ?>
             <style>

			   .spp-pos-scrollpop_left {

				top: 0;

				right: -350px;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:         0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>													jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'right': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'right':'-350'},200);					}				});								



			</script>


			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">


			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

	

	

<? }

else



if(($popup_position=='top-right') && ($popup_slide=='left'))

{ ?>



	<style>

			   .spp-pos-scrollpop_left {

				top: 0;

				right:100%;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:         0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>													jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'right': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'right':'100%'},200);					}				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else

	

if(($popup_position=='top-right') && ($popup_slide=='top'))

{ ?>

	  

	  <style>

			   .spp-pos-scrollpop_left {



				top:-100%;

				position: fixed;

				

				z-index: 10000;

				right:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:         0px 0px 8px 0px rgba(50, 50, 50, 0.75);

			}



			</style>

			

			<script>									jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 800 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'top': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'top':'-100%'},200);					}				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else



if(($popup_position=='top-right') && ($popup_slide=='bottom'))

{

	?>

	

	

	<style>

			   .spp-pos-scrollpop_left {



				top:100%;

				position: fixed;

				

				z-index: 10000;

				right:0px;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:         0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				

                }



			</style>

			

			<script>	

								jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'top': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'top':'100%'},200);					}				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

		

<? }	



else

	  		

if(($popup_position=='top-left') && ($popup_slide=='left'))

{ ?>

	

	

             <style>

			   .spp-pos-scrollpop_left {

				top: 0;

				left: -350px;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>	

jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 800 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'left': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'left':'-350px'},200);					}				});

			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

	

	

<? }

else



if(($popup_position=='top-left') && ($popup_slide=='right'))

{ ?>



	<style>

			   .spp-pos-scrollpop_left {

				top: 0;

				left:100%;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>									jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 800 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'left': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'left':'100%'},200);					}				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else

	

if(($popup_position=='top-left') && ($popup_slide=='top'))

{ ?>

	  

	  <style>

			   .spp-pos-scrollpop_left {



				top:-100%;

				position: fixed;

				

				z-index: 10000;

				

				left:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>					jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 800 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'top': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'top':'-100%'},200);					}				});				

			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else



if(($popup_position=='top-left') && ($popup_slide=='bottom'))

{

	?>

	

	

	<style>

			   .spp-pos-scrollpop_left {



				top:100%;

				position: fixed;

				

				z-index: 10000;

				left:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				

                }



			</style>

			

			<script>									jQuery(window).scroll(function() {										if (  document.documentElement.clientHeight + 											  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 800 )					{ 						jQuery(".spp-pos-scrollpop_left").animate({'top': '0'},300); 					} else {						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'top':'100%'},200);					}				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

		

<? }



else

	

	  		

if(($popup_position=='bottom-left') && ($popup_slide=='left'))

{ ?>

	

	

	

             <style>

			   .spp-pos-scrollpop_left {

				position: fixed;

				

				z-index: 10000;

				bottom:0;

				left:-350px;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>	

			

			



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'left': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'left':'-350px'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

	

	

<? }

else



if(($popup_position=='bottom-left') && ($popup_slide=='right'))

{ ?>



	<style>

			   .spp-pos-scrollpop_left {

				bottom: 0;

				left:100%;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'left': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'left':'100%'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else

	

if(($popup_position=='bottom-left') && ($popup_slide=='top'))

{ ?>

	  

	  <style>

			   .spp-pos-scrollpop_left {



				bottom:100%;

				position: fixed;

				

				z-index: 10000;

				

				left:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				



			}



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'bottom': '0'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'bottom':'100%'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else



if(($popup_position=='bottom-left') && ($popup_slide=='bottom'))

{

	?>

	

	

	<style>

			   .spp-pos-scrollpop_left {

				   

				position: fixed;

				

				z-index: 10000;

				left:0;

				bottom:-450px;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				

                }



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'bottom': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({' bottom':'-450px'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

		

<? }



if(($popup_position=='bottom-right') && ($popup_slide=='left'))

{ ?>

	

	

	

             <style>

			   .spp-pos-scrollpop_left {

				right: 100%;

				position: fixed;

				

				z-index: 10000;

				bottom:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}

          								

			</style>

			

			<script>	

			

			



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'right': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'right':'100%'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



								<div class="spp-pos-godeep">				<div class="spp-pos-thumbs"><?php echo the_post_thumbnail(); ?></div>								<div class="spp-pos-title"><a href="<?php the_permalink(); ?>"><?php echo the_title(); ?></a></div>				<div class="spp-pos-post-content"><a href="<?php the_permalink(); ?>"><?php echo the_excerpt(); ?></a></div>									</div>

				<?php } ?>



	    </div>

		</div>	

	

	

<? }

else



if(($popup_position=='bottom-right') && ($popup_slide=='right'))

{ ?>



	<style>

			   .spp-pos-scrollpop_left {

				bottom: 0;

				right:-350px;

				position: fixed;

				

				z-index: 10000;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);



			}



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'right': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'right':'-350px'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else

	

if(($popup_position=='bottom-right') && ($popup_slide=='top'))

{ ?>

	  

	  <style>

			   .spp-pos-scrollpop_left {



				bottom:100%;

				position: fixed;

				

				z-index: 10000;

				

				right:0;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);
           
				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				



			}



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'bottom': '0'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({'bottom':'100%'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

<? }



else



if(($popup_position=='bottom-right') && ($popup_slide=='bottom'))

{

	?>

	

	

	<style>

			   .spp-pos-scrollpop_left {

				   

				position: fixed;

				

				z-index: 10000;

				right:0;

				bottom:-450px;

				-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				-moz-box-shadow:    0px 0px 8px 0px rgba(50, 50, 50, 0.75);

				 box-shadow:        0px 0px 8px 0px rgba(50, 50, 50, 0.75);

                }



			</style>

			

			<script>	



				jQuery(window).scroll(function() {	

				

					if (  document.documentElement.clientHeight + 

					

						  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400 )

					{ 

						jQuery(".spp-pos-scrollpop_left").animate({'bottom': '0px'},300); 

					} else {

						jQuery('.spp-pos-scrollpop_left').stop(true).animate({' bottom':'-350px'},200);

					}

				});



			</script>



			<div class="spp-pos-scrollpop_left" style="background-image:url(<?php echo $background_images; ?>);  background-size:<?php echo $background_size;?>;  background-repeat:<?php echo $background_repeat?>;  <?php echo $top.$right.$bottom.$left.$background; ?>">

			

			<div class="spp-pos-scrollpop-close">(X)</div>

            

			<div class="spp-pos-content">



				<?php 

				

				if(!empty($post_content)) {



				echo wpautop( do_shortcode($post_content) , $br = true );



				} ?>



				<?php if(is_single() && $nextpost == '1') { ?>



				<div class="spp-pos-godeep">

				

					<div class="spp-pos-next-blurb">

					

						<p class="spp-pos-cathdr">More in <?php echo $spp_pos_category[0]->cat_name; ?></p>					



						<?php if( empty(get_adjacent_post(true, '', true)->ID ) ) { // If no next post show previous ?>



						<div class="spp-pos-suggested"><?php next_post_link('%link', '%title', true, '', 'category'); ?></div>

						

						<?php } else { ?>

						<div class="spp-pos-suggested"><?php previous_post_link('%link', '%title', true, '', 'category'); ?></div>

						<?php } ?>

					</div>

				</div>

				<?php } ?>



	    </div>

		</div>	

		

<? }





	}







}



}















// Displays special template for custom post type preview







function spp_pos_show_preview_poponscroll($template) {







	global $post;







	$post_type = get_post_type( $post );















	if ($post_type == 'spp_pos_scrollpop') {







		$template = SPP_POS_PATH.'/modules/spp_pos_cpt_template.php';







	}





	return $template;







}







add_filter( 'template_include', 'spp_pos_show_preview_poponscroll' );















?>