<?php

add_action( 'add_meta_boxes', 'spp_pos_add_custom_box' );

function spp_pos_add_custom_box() {

		add_meta_box( 

			'spp_pos_page_settings',

			__( 'PoponScroll', 'spp_poponscroll' ),

			'spp_pos_single_page_callback',
			'post', 'side'

		);

		add_meta_box( 

			'spp_pos_page_settings',

			__( 'PoponScroll', 'spp_poponscroll' ),

			'spp_pos_single_page_callback',

			'page' , 'side'

		);

		add_meta_box( 

			'spp_pos_cpt_meta_opts',

			__( 'Popup Behavior and Design', 'spp_poponscroll' ),

			'spp_pos_design_meta',

			'spp_pos_scrollpop'
		);

}

function spp_pos_design_meta( $post ) {

		$spp_pos_meta = get_post_meta( $post->ID, '_spp_pos_post_meta', true );
		

		
		$nextpost = (isset($spp_pos_meta['nextpost'])) ? $spp_pos_meta['nextpost'] : '';

		$border_top_width = (isset($spp_pos_meta['border_top_width'])) ? $spp_pos_meta['border_top_width'] : '';

        $border_left_width = (isset($spp_pos_meta['border_left_width'])) ? $spp_pos_meta['border_left_width'] : '';

		$border_right_width = (isset($spp_pos_meta['border_right_width'])) ? $spp_pos_meta['border_right_width'] : '';

		$border_bottom_width = (isset($spp_pos_meta['border_bottom_width'])) ? $spp_pos_meta['border_bottom_width'] : '';

		$border_color = (isset($spp_pos_meta['border_color'])) ? $spp_pos_meta['border_color'] : '';

		$border_style = (isset($spp_pos_meta['border_style'])) ? $spp_pos_meta['border_style'] : '';

		$background_color = (isset($spp_pos_meta['background_color'])) ? $spp_pos_meta['background_color'] : '';
		
		$background_images = (isset($spp_pos_meta['background_images'])) ? $spp_pos_meta['background_images'] : '';
		
		$background_repeat = (isset($spp_pos_meta['background_repeat'])) ? $spp_pos_meta['background_repeat'] : '';
		
		$background_size = (isset($spp_pos_meta['background_size'])) ? $spp_pos_meta['background_size'] : '';
		
		$popupscroll_position = (isset($spp_pos_meta['popupscroll_position'])) ? $spp_pos_meta['popupscroll_position'] : '';
			
	    $popup_position = (isset($spp_pos_meta['popup_position'])) ? $spp_pos_meta['popup_position'] : '';

		$popup_slide = (isset($spp_pos_meta['popup_slide'])) ? $spp_pos_meta['popup_slide'] : '';

		$cookie = (isset($spp_pos_meta['cookie'])) ? $spp_pos_meta['cookie'] : '';

		$cookie_duration = (isset($spp_pos_meta['cookie_duration'])) ? $spp_pos_meta['cookie_duration'] : '';
		
		wp_nonce_field( plugin_basename( __FILE__ ), 'spp_pos_nonce' );

		?>

		<table>

			<tr>

               <td><label>Popup Border</label></td>
                 
				 <td>

					<table id="popupborder">
					
						<tr>
						
							<td></td>

							<td>Top<br><input class="small-text" type="text" name="border_top_width" value="<?php echo sanitize_text_field( $border_top_width ); ?>">px</td>

							<td></td>

						</tr>
						
						<tr>

							<td>Left<br><input class="small-text" type="text" name="border_left_width" value="<?php echo sanitize_text_field( $border_left_width ); ?>">px</td>

							<td id="ad-rep">Popup Ad</td>

							<td>Right<br><input class="small-text" type="text" name="border_right_width" value="<?php echo sanitize_text_field( $border_right_width ); ?>">px</td>

						</tr>

						<tr>
						
							<td></td>


							<td>Bottom<br><input class="small-text" type="text" name="border_bottom_width" value="<?php echo sanitize_text_field( $border_bottom_width ); ?>">px</td>

							<td></td>

						</tr>

					</table>

				</td>

			</tr>

			<tr>

				<td><label>Border Color</label></td>

				<td><input type="text" name="border_color" class="color-picker" value="<?php echo sanitize_text_field( $border_color ); ?>"></td>

			</tr>

			<tr>

				<td><label>Border Style</label></td>


				<td>
					<select name="border_style" id="border_style">
					
						<option value="0" <?php selected( $border_style, '0', true ); ?>>Default</option>
						
						<option value="solid" <?php selected( $border_style, 'solid', true ); ?>>Solid</option>

						<option value="dotted" <?php selected( $border_style, 'dotted', true ); ?>>Dotted</option>

						<option value="dashed" <?php selected( $border_style, 'dashed', true ); ?>>Dashed</option>

					</select>

				</td>
			</tr>
			<tr>

				<td><label>Background Color</label></td>

				<td>
					<input type="text" name="background_color" class="color-picker" value="<?php echo sanitize_text_field( $background_color ); ?>">
					
				   </td>

			</tr>
			
				<?php /*?><tr>
		
				<td>Popup Background <?php $dhnd_image_dir = site_url() . '/wp-content/plugins/scrollpopup/modules/images/'; ?></td>
				
				<td><input type="file" name="background_images" id="popup_background_image" value ="<?php echo $background_images; ?>" >
				<input type="hidden" name="background_images_name2" value ="<?php echo $background_images; ?>" >
				</td>
				</tr><?php */?>
				
				
		
   
        <script language="JavaScript">
		
			jQuery(document).ready(function() {
			jQuery('#upload_image_button').click(function() {
			formfield = jQuery('#upload_image').attr('name');
			tb_show('', 'media-upload.php?type=image&TB_iframe=true');
			return false;
			});
			jQuery('#upload_image_button').click(function() {
			window.send_to_editor = function(html) {
			imgurl = jQuery('img',html).attr('src');
			jQuery('#upload_image').val(imgurl);
			tb_remove();
			}

			});
			});


			</script>
			<tr valign="top">
				<td>Upload Image</td>
				<td><label for="upload_image">
					<input id="upload_image" type="text" size="36" name="background_images_name" value="<?php echo $background_images; ?>" />
					<input id="upload_image_button" type="button" value="Upload Image" />
					<br />Enter an URL or upload an image for the Popup.
					</label>
				</td>
			</tr>

			<
			<?php if(!empty($background_images)){ ?>
							<tr><td> &nbsp; </td><td><img src ="<?php echo $background_images; ?>" class ="popup-background_image"></td></tr>
							
							<?php } ?>
			



				<td><label>Background Repeat </label></td>

				<td>
				
					<select name="background_repeat" id="background-repeat">
					
						<option value="no-repeat" <?php selected( $background_repeat, 'no-repeat', true ); ?>>No Repeat</option>
						
						<option value="repeat" <?php selected( $background_repeat, 'repeat', true ); ?>>Tile</option>

						<option value="repeat-x" <?php selected( $background_repeat, 'repeat-x', true ); ?>>Tile Horizotally</option>

						<option value="repeat-y" <?php selected( $background_repeat, 'repeat-y', true ); ?>>Tile Vertically</option>

					</select>

				</td>
			</tr>
			
			
			<tr>

				<td><label>Background Size </label></td>

				<td> 
					<select name="background_size" id="background_size">
					
						<option value="auto" <?php selected( $background_size, 'auto', true ); ?>>auto</option>
						
						<option value="100% auto" <?php selected( $background_size, '100% auto', true ); ?>>100% auto</option>

						<option value="cover" <?php selected( $background_size, 'cover', true ); ?>>cover</option>

						<option value="contain" <?php selected( $background_size, 'contain', true ); ?>>contain</option>

					</select>

				</td>
			</tr>
			<?php /*?>
			<tr>

				<td><label>PopupScroll position </label></td>

				<td>
					<select name="popupscroll_position" id="background_size">
					
						<option value="25%" <?php selected( $popupscroll_position, '25%', true ); ?>>25%</option>
						
						<option value="50%" <?php selected( $popupscroll_position, '50%', true ); ?>>50%</option>

						<option value="75%" <?php selected( $popupscroll_position, '75%', true ); ?>>75%</option>

						<option value="100%" <?php selected( $popupscroll_position, '100%', true ); ?>>100%</option>

					</select>

				</td>
			</tr>
			<?php */?>
			
	
	
<tr>

            <td><label>Position </label></td>

			<script type="text/javascript">

				jQuery(document).ready(function(){

					var test = jQuery('li input[type="radio"]:checked:first').val();

						 jQuery('li input:checked').parent().addClass("selected-position");

				jQuery('img').click(function(){

					jQuery('input:checked').parent().removeClass("selected-position");


					  jQuery('img').removeClass('img-active');


					  jQuery(this).addClass('img-active');

				  jQuery(this).parent().find(':radio').attr('checked' , 'checked');


					});


				});

</script>

<style>
.options-list > li {
    float: left;
    width: 120px;
}

.popup-background_image
{
	height:75px
}
.selected-position {
  border: #1ABC9C solid 3px !important;
  width: 103px !important;
  height: 77px;
  border-radius: 5px;
  padding: 2px;
}

input[type=radio] {
  -webkit-border-radius: 50%;
  border-radius: 50%;
  margin-right: 4px;
  line-height: 10px;
  display: none;
}

.img-active
 {
 border: #1ABC9C solid 3px !important;
 width: 103px !important;
 height: 77px;
 border-radius: 5px;
 padding: 2px 

}

#position-img > li {

    float: left;
    width: 118px;
	margin-right: 45px;

}

</style>
				<td>


<ul class="options-list" id="position-img"">


      <li data-tooltip ="Top right" >


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/top-right.png">


        <input type ="radio" name="popup_position" id="popup_position" <?php checked( $popup_position, 'top-right', true ); ?> class="radio" value="top-right"> 


      </li>

	  <li data-tooltip="Top Left"  >


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/top-left.png">


        <input type ="radio" name="popup_position" id="popup_position" <?php checked( $popup_position, 'top-left', true ); ?> class="radio" value="top-left"> 


      </li>


	  <li data-tooltip="Bottom Right" >


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/bottom-right.png">


        <input type ="radio" name="popup_position" id="popup_position" <?php checked( $popup_position, 'bottom-right', true ); ?> class="radio" value="bottom-right"> 


      </li>


	  <li data-tooltip="Bottom Left">


        <img class="small-image-preview v-middle" title="" src="<?php echo SPP_POS_DIR; ?>modules/images/bottom-left.png">


        <input type ="radio" name="popup_position" id="popup_position" <?php checked( $popup_position, 'bottom-left', true ); ?> class="radio" value="bottom-left"> 


      </li>

	  </ul>  

	</td>  
	
	</tr>
	
            <td><label>Slide From </label></td>
				<td>


					<select name="popup_slide" id="popup_slide">


					<option value="left" <?php selected( $popup_slide, 'left', true ); ?>>Left</option>


					<option value="right" <?php selected( $popup_slide, 'right', true ); ?>>Right</option>


					<option value="top" <?php selected( $popup_slide, 'top', true ); ?>>Top</option>


					<option value="bottom" <?php selected( $popup_slide, 'bottom', true ); ?>>Bottom</option>


					</select>


				</td>


            </tr>


						


			<td><label>Always show?</label></td>


				<td>

    <label class="switch switch-left-right">


	<input class="switch-input" type="checkbox" name="cookie" value="1" id="cookie"  <?php checked( $cookie, '1', true ); ?> />


	<span class="switch-label" data-on="On" data-off="Off"></span> 


	<span class="switch-handle"></span> 


	


</label>


<label for="cookie" class="cookie_text">Appears every time the page loads & is scrolled (cookie ignored) </label>

				</td>


            </tr>
			<tr>

			<td><label>Cookie duration</label></td>


				<td>


			<input type="text" name="cookie_duration" class="small-text" id="cookie_duration" value="<?php echo sanitize_text_field( $cookie_duration  ); ?>"> <label for="cookie_duration">Number of days to hide ad if "Hide is clicked"</label>

				</td>


            </tr>

		</table>

		<?php

}

function spp_pos_single_page_callback( $post ) {

	$all_spp_pos_scrollpop = get_posts('post_type=spp_pos_scrollpop&showposts=-1&orderby=name&order=ASC');

	$spp_pos_single_hide = get_post_meta( $post->ID, 'spp_pos_single_hide', true );

	$spp_pos_showthis = get_post_meta( $post->ID, 'spp_pos_showthis', true );

	wp_nonce_field( plugin_basename( __FILE__ ), 'spp_pos_nonce' );

	?>

	<p>

		<label for="spp_pos_single_hide">Disable PoponScroll</label>

        <input type="checkbox" id="spp_pos_single_hide" name="spp_pos_single_hide" value="1" <?php checked( $spp_pos_single_hide, '1', true ); ?>>

	</p>

	<select name="spp_pos_showthis" >

		<option value="0">Default</option>

		<?php

		foreach( $all_spp_pos_scrollpop as $single_post ){
		?>

			<option value="<?php echo $single_post->ID; ?>" <?php selected( $spp_pos_showthis, $single_post->ID, true ); ?>><?php echo $single_post->post_title; ?></option>

		<?php } ?>

</select>
<?php }

add_action( 'save_post', 'spp_pos_save_postdata' );


function spp_pos_save_postdata( $post_id ) {

  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
	  
      return;
	  
  if ( !wp_verify_nonce( $_POST['spp_pos_nonce'], plugin_basename( __FILE__ ) ) )

      return;

  if ( 'page' == $_POST['post_type'] ) 

  {

 if ( !current_user_can( 'edit_page', $post_id ) )

 return;

  }

  else

{

    if ( !current_user_can( 'edit_post', $post_id ) )

    return;


  }

  if( get_post_type( $post_id ) == 'post' || get_post_type( $post_id ) == 'page' ){

  	$spp_pos_single_hide = ( isset( $_POST['spp_pos_single_hide'] ) && $_POST['spp_pos_single_hide'] == '1' ) ? '1' : '' ;

    $spp_pos_showthis = ( isset( $_POST['spp_pos_showthis'] ) && is_numeric( $_POST['spp_pos_showthis'] ) ) ? $_POST['spp_pos_showthis'] : '' ;

	update_post_meta( $post_id, 'spp_pos_single_hide', $spp_pos_single_hide );

	update_post_meta( $post_id, 'spp_pos_showthis', $spp_pos_showthis );

  }


   if( get_post_type( $post_id ) == 'spp_pos_scrollpop'  ){


   	$nextpost = ( isset( $_POST['nextpost'] ) && $_POST['nextpost'] == '1' ) ? '1' : '' ;

	$border_top_width = ( isset( $_POST['border_top_width'] ) && is_numeric( $_POST['border_top_width'] ) ) ? $_POST['border_top_width'] : '' ;

	$border_left_width = ( isset( $_POST['border_left_width'] ) && is_numeric( $_POST['border_left_width'] ) ) ? $_POST['border_left_width'] : '' ;

	$border_right_width = ( isset( $_POST['border_right_width'] ) && is_numeric( $_POST['border_right_width'] ) ) ? $_POST['border_right_width'] : '' ;

	$border_bottom_width = ( isset( $_POST['border_bottom_width'] ) && is_numeric( $_POST['border_bottom_width'] ) ) ? $_POST['border_bottom_width'] : '' ;

	$border_color = ( isset( $_POST['border_color'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $_POST['border_color'] ) == '1' ) ? $_POST['border_color'] : '' ;

	$allowed_style = array( '0', 'solid', 'dotted', 'dashed' );

	$border_style = ( isset( $_POST['border_style'] ) && in_array( $_POST['border_style'], $allowed_style ) ) ? $_POST['border_style'] : '' ;

	$popup_style = array( 'left', 'right', 'top', 'bottom' );

	$popup_position_style = array( 'top-right', 'top-left', 'bottom-right', 'bottom-left' );

	$popup_position = ( isset( $_POST['popup_position'] ) && in_array( $_POST['popup_position'], $popup_position_style ) ) ? $_POST['popup_position'] : '' ;

	$popup_slide = ( isset( $_POST['popup_slide'] ) && in_array( $_POST['popup_slide'], $popup_style ) ) ? $_POST['popup_slide'] : '' ;
	
    $background_repeat_type=array('no-repeat', 'repeat', 'repeat-x', 'repeat-y');
	
	$background_repeat = ( isset( $_POST['background_repeat'] ) && in_array( $_POST['background_repeat'], $background_repeat_type ) ) ? $_POST['background_repeat'] : '' ;
	
	//$background_color = ( isset( $_POST['background_color'] ) &&  $_POST['background_color']  == '1' ) ? $_POST['background_color'] : '' ;
	
	$background_images = ( isset( $_FILES['background_images']['name'])) ? $_FILES['background_images']['name'] : '' ;;
	
	$background_size_type=array('auto', '100% auto', 'cover', 'contain');
	
    $background_size = ( isset( $_POST['background_size'] ) && in_array( $_POST['background_size'], $background_size_type ) ) ? $_POST['background_size'] : '' ;
    
	$popupscroll_position_type=array('25%', '50%', '75%', '100%');
	
	$popupscroll_position = ( isset( $_POST['popupscroll_position'] ) && in_array( $_POST['popupscroll_position'], $popupscroll_position_type ) ) ? $_POST['popupscroll_position'] : '' ;
		
	$cookie = ( isset( $_POST['cookie'] ) ) ? $_POST['cookie'] : '' ;

	$cookie_duration = ( isset( $_POST['cookie_duration'] ) ) ? $_POST['cookie_duration'] : '' ;
	
	$background_color = ( isset( $_POST['background_color'] )) ? $_POST['background_color'] : '' ;

	if(empty($background_images)){
    $spp_pos_meta_array = array(

   		'nextpost' => $nextpost,

   		'border_top_width' => $border_top_width,

   		'border_left_width' => $border_left_width,

   		'border_right_width' => $border_right_width,

   		'border_bottom_width' => $border_bottom_width,

   		'border_color' => $border_color,

   		'border_style' => $border_style,

   		'background_color' => $background_color,
		
		'background_images' => $_POST['background_images_name'],
		
		'background_repeat' => $background_repeat,
		
		'background_size' => $background_size,
		
		'popupscroll_position' => $popupscroll_position,
		
		'popup_position' => $popup_position,

		'popup_slide' => $popup_slide,

		'cookie' => $cookie,

		'cookie_duration' => $cookie_duration

		);
	}
	
	else
	{
		
		$spp_pos_meta_array = array(

   		'nextpost' => $nextpost,

   		'border_top_width' => $border_top_width,

   		'border_left_width' => $border_left_width,

   		'border_right_width' => $border_right_width,

   		'border_bottom_width' => $border_bottom_width,

   		'border_color' => $border_color,

   		'border_style' => $border_style,

   		'background_color' => $background_color,
		
		'background_images' => $background_images,
		
		'background_repeat' => $background_repeat,
		
		'background_size' => $background_size,
		
		'popupscroll_position' => $popupscroll_position,
		
		'popup_position' => $popup_position,

		'popup_slide' => $popup_slide,

		'cookie' => $cookie,

		'cookie_duration' => $cookie_duration

		);
	}
	
	
	
	
		$dhnd_image_dir = ABSPATH . 'wp-content/plugins/scrollpopup/modules/images/';
		$target_file = $dhnd_image_dir . basename($_FILES["background_images"]["name"]);
		
		$moveResult = move_uploaded_file($_FILES["background_images"]["tmp_name"], $target_file);
	
		update_post_meta( $post_id, '_spp_pos_post_meta', $spp_pos_meta_array );
	

  }

}


?>